Archived

This topic is now archived and is closed to further replies.

TheMummy

Compiling stl stuff with g++ 3.0.2

Recommended Posts

Hi, I have a curious problem! In my company we use gcc 3.0.2, and at home there is still 2.95.... Whenever I want to compile a module using stl vectors or fstream with 3.0.2, I get many unresolved external errors. The compiler seems to know the template, since drops the exact prototype of some ofstream methods and vector methods... At home I can compile it whithout problems: g++ stltest.cpp So I guess I have to set some new command line parameters ??

Share this post


Link to post
Share on other sites
Guest Anonymous Poster
It would help to see some of the code causing the problem.

Also, make sure than the symbolic link to the C++ library isn''t pointing to the old library (the gcc 2.9x).

Share this post


Link to post
Share on other sites
if they are using the 3.0.x series at work, they should really consider upgrading at each new release. Currently at 3.0.3. It''s been reported that the series breaks some compatibility with stuff compiled on the 2.x series.

subnet_rx

Share this post


Link to post
Share on other sites